Name:           python-ptf
Version:        0.10.0
Release:        1%{?dist}
Summary:        The P4 Testing Framework

License:        Apache-2.0
URL:            https://github.com/p4lang/ptf
Source0:        https://files.pythonhosted.org/packages/source/p/ptf/ptf-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel

%global _description %{expand:
PTF is a Python based dataplane test framework. It is based on unittest,
which is included in the standard Python distribution.}

%description %_description

%package -n     python3-ptf
Summary:        %{summary}

%description -n python3-ptf %_description


%prep
%autosetup -p1 -n ptf-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ptf

%files -n python3-ptf -f %{pyproject_files}
%license LICENSE LICENSE.OFTest
%doc README.md NOTICE
%{_bindir}/ptf
%{_bindir}/ptf_nn_agent.py

%changelog
